# Uses of Interface
org.eclipse.jdt.debug.core.IJavaClassType

Packages that use IJavaClassType
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaClassType in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core that return IJavaClassType
Modifier and Type
Method
Description
`IJavaClassType`
IJavaStackFrame.`getDeclaringType()`
Deprecated.
Use `getReferenceType()` instead, as a method is not restricted to occur in a class.
`IJavaClassType[]`
IJavaInterfaceType.`getImplementors()`
Returns the class objects associated with the implementors of this interface type.
`IJavaClassType`
IJavaClassType.`getSuperclass()`
Returns the superclass of this class type, or `null` if no such class exists.